## u1db 0.1.4

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (u1db)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
include_directories(${CMAKE_SOURCE_DIR}/include)

execute_process(COMMAND python ${CMAKE_SOURCE_DIR}/setup.py --version
                OUTPUT_VARIABLE PROJECT_VERSION OUTPUT_STRIP_TRAILING_WHITESPACE)

set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
add_custom_target(dist
    COMMAND bzr export --root=${ARCHIVE_NAME}
        ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

find_package(Cython REQUIRED)

find_package(CURL REQUIRED)
if (CURL_FOUND)
  include_directories(${CURL_INCLUDE_DIRS})
endif (CURL_FOUND)

find_package(OAUTH REQUIRED)
if (OAUTH_FOUND)
  include_directories(${OAUTH_INCLUDE_DIRS})
endif (OAUTH_FOUND)

find_package(JSON REQUIRED)
if (JSON_FOUND)
  include_directories(${JSON_INCLUDE_DIRS})
endif (JSON_FOUND)

find_package(Sqlite3 REQUIRED)
if (Sqlite3_FOUND)
  include_directories(${Sqlite3_INCLUDE_DIRS})
endif (Sqlite3_FOUND)

add_custom_target( ReplicatePythonSourceTree ALL ${CMAKE_COMMAND} -P
  ${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules/ReplicatePythonSourceTree.cmake
  ${CMAKE_CURRENT_BINARY_DIR}
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} )

add_custom_target(doctests
    COMMAND cd html-docs && make doctest && cd ..
)

add_custom_target(check-nodoc
    COMMAND python -m testtools.run discover
    DEPENDS build-inplace-for-tests
)

add_custom_target(check
    COMMAND python -m testtools.run discover
    DEPENDS build-inplace-for-tests doctests
)

add_custom_target(cdocs
    COMMAND doxygen html-docs/doxygen.conf
)

add_custom_target(build-inplace-for-tests
    COMMAND U1DB_TEST=1 python setup.py build_ext -i -f -I ${CMAKE_SOURCE_DIR}/include
    DEPENDS ReplicatePythonSourceTree u1db
)

add_custom_target(build-debug-for-tests
    COMMAND U1DB_TEST=1 python-dbg setup.py build_ext -i -f -I ${CMAKE_SOURCE_DIR}/include
    DEPENDS ReplicatePythonSourceTree u1db
)
add_custom_target(check-valgrind
    COMMAND valgrind --tool=memcheck --suppressions=${CMAKE_SOURCE_DIR}/custom.supp python-dbg -m testtools.run discover
    DEPENDS build-debug-for-tests
)

add_custom_target(check-valgrind-leaks
    COMMAND valgrind --tool=memcheck --suppressions=${CMAKE_SOURCE_DIR}/custom.supp --track-origins=yes --num-callers=40 --leak-resolution=high --leak-check=full python-dbg -m testtools.run discover
    DEPENDS build-debug-for-tests
)

add_custom_target(check-verbose
    COMMAND U1DB_TEST=1 python -c \"import unittest, sys\; from testtools import run\; run.TestProgram(argv=sys.argv, testRunner=unittest.TextTestRunner(verbosity=2), stdout=sys.stdout)\" discover
    DEPENDS build-inplace-for-tests
)

add_custom_target(html-docs
    COMMAND cd ${CMAKE_SOURCE_DIR}/html-docs; make html
)

SET(CPACK_GENERATOR "TGZ")
SET(CPACK_DEBIAN_PACKAGE_MAINTAINER "Noone")
INCLUDE(CPack)

add_custom_target(install-python ALL
    # Do NOT build this one in-place
    COMMAND python setup.py build_ext -f -I ${CMAKE_SOURCE_DIR}/include
    COMMAND python setup.py install --prefix=${CMAKE_INSTALL_PREFIX} --root=${CMAKE_CURRENT_BINARY_DIR}/temp
    DEPENDS ReplicatePythonSourceTree u1db
)

install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/temp/${CMAKE_INSTALL_PREFIX}/
    DESTINATION "."
    PATTERN "*.pyc" EXCLUDE
    PATTERN "tests" EXCLUDE
    PATTERN "u1db-client"
    PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ WORLD_EXECUTE WORLD_READ
    PATTERN "u1db-server"
    PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ WORLD_EXECUTE WORLD_READ
)

add_subdirectory(src)

=== html-docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html: doctest
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/u1db.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/u1db.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/u1db"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/u1db"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
u1db (0.1.4-2~bpo70+1) wheezy-backports; urgency=low

  * Backport to wheezy-backports.

 -- Micah Anderson <micah@debian.org>  Thu, 24 Oct 2013 11:58:44 -0400

u1db (0.1.4-2) unstable; urgency=low

  * Patch FindJSON.cmake to fix multiarch FTBFS (Closes: #708992)
  * Patch u1db_query.c to fix segfault (Closes: #713795)

 -- Micah Anderson <micah@debian.org>  Sun, 23 Jun 2013 13:19:37 -0400

u1db (0.1.4-1) unstable; urgency=low

  * Bump compat version to 9, updating debian/control
  * Initial import from ubuntu (Closes: #707625)

 -- Micah Anderson <micah@debian.org>  Thu, 09 May 2013 11:56:47 -0400

u1db (0.1.4-0ubuntu2) raring; urgency=low

  * debian/control:
    - Add new u1db-tools package for extra tool scripts.
    - Remove unneeded build dependencies.
    - Be more explicit with deps on the python-u1db package.
  * debian/rules:
    - Don't remove the extra tool scripts on install.
    - Don't support building on Lucid any longer.
  * debian/u1db-tools.install:
    - Add install file for extra tool scripts package.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 07 Nov 2012 15:06:25 -0500

u1db (0.1.4-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Improvements to documentation.
    - Improvements to tests, and allow tests to be more reusable.
    - Improvements to synchronization support and authentication. 

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 03 Oct 2012 16:24:15 -0400

u1db (0.1.2-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Updated documentation.
  * debian/watch:
    - Update watch file to use glob for compression format.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 29 Aug 2012 15:07:41 -0400

u1db (0.1.1-0ubuntu2) quantal; urgency=low

  * debian/control:
    - Require ca-certificates package for the tests.
  * debian/rules:
    - Use check-nodoc rule instead of check-valgrind, to build on ppc.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Thu, 23 Aug 2012 13:19:42 -0400

u1db (0.1.1-0ubuntu1) quantal; urgency=low

  * Initial packaging for u1db. (LP: #1035392)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 15 Aug 2012 13:22:49 -0400

=== debian/control ===
Source: u1db
Section: libs
Priority: extra
Build-Depends:
 ca-certificates,
 cmake,
 cython,
 debhelper (>= 9),
 libcurl4-nss-dev | libcurl4-gnutls-dev | libcurl4-openssl-dev,
 libjson0-dev,
 liboauth-dev,
 libsqlite3-dev,
 python-all (>= 2.6.6-3) | python-support (>= 0.6.4),
 python-all-dev (>= 2.6),
 python-dirspec,
 python-oauth,
 python-openssl,
 python-paste,
 python-routes,
 python-setuptools,
 python-simplejson,
 python-testscenarios,
 python-testtools
Maintainer: Micah Anderson <micah@debian.org>
Standards-Version: 3.9.4
X-Python-Version: >= 2.6

Package: python-u1db
Section: python
Architecture: all
Depends: ${misc:Depends},
 ${python:Depends},
 python-dirspec,
 python-oauth,
 python-openssl,
 python-paste,
 python-routes,
 python-simplejson
Description: Ubuntu One structured data storage - Python API
 An API for storing structured data which can be synchronized across a network
 connection, including to the Ubuntu One service.
 .
 This package includes the Python implementation of the API.

Package: libu1db1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}, multiarch-support
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: Ubuntu One structured data storage - C API
 An API for storing structured data which can be synchronized across a network
 connection, including to the Ubuntu One service.
 .
 This package includes the C implementation of the API.

Package: libu1db-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libcurl4-nss-dev | libcurl4-gnutls-dev | libcurl4-openssl-dev,
 libjson0-dev,
 liboauth-dev,
 libsqlite3-dev,
 libu1db1 (= ${binary:Version}),
Description: Ubuntu One structured data storage - C API development files
 An API for storing structured data which can be synchronized across a network
 connection, including to the Ubuntu One service.
 .
 This package includes the development files for the u1db C API.

Package: u1db-tools
Section: python
Architecture: any
Depends: ${misc:Depends},
 ${python:Depends},
 python-u1db (= ${source:Version})
Description: ubuntu One structured data storage - Developer Tools
 An API for storing structured data which can be synchronized across a network
 connection, including to the Ubuntu One service.
 .
 This package includes developer tools for working with u1db.

=== debian/rules ===
#!/usr/bin/make -f

DH_CMAKE_BUILD_DIR=obj-${DEB_BUILD_GNU_TYPE}

%:
	dh $@ --with python2 --buildsystem cmake --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_SHARED_LIBS=1 -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

override_dh_auto_test:
	LD_LIBRARY_PATH=`pwd`/${DH_CMAKE_BUILD_DIR}/src dh_auto_build -- check-nodoc

override_dh_auto_clean:
	dh_auto_clean
	find . -name \*.pyc -exec rm {} \;
	rm -f src/u1db_schema.c

=== debian/watch ===
version=3
http://launchpad.net/u1db/+download .*/u1db-([0-9.]+)\.tar\..*

## u1db 13.09

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,7 +44,7 @@
     COMMAND cd html-docs && make doctest && cd ..
 )
 
-add_custom_target(check-nodoc
+add_custom_target(check-nodoctests
     COMMAND python -m testtools.run discover
     DEPENDS build-inplace-for-tests
 )
@@ -54,17 +54,13 @@
     DEPENDS build-inplace-for-tests doctests
 )
 
-add_custom_target(cdocs
-    COMMAND doxygen html-docs/doxygen.conf
-)
-
 add_custom_target(build-inplace-for-tests
-    COMMAND U1DB_TEST=1 python setup.py build_ext -i -f -I ${CMAKE_SOURCE_DIR}/include
+    COMMAND U1DB_TEST=1 python setup.py build_ext -i -f -I ${CMAKE_SOURCE_DIR}/include -R ${CMAKE_BINARY_DIR}/src
     DEPENDS ReplicatePythonSourceTree u1db
 )
 
 add_custom_target(build-debug-for-tests
-    COMMAND U1DB_TEST=1 python-dbg setup.py build_ext -i -f -I ${CMAKE_SOURCE_DIR}/include
+    COMMAND U1DB_TEST=1 python-dbg setup.py build_ext -i -f -I ${CMAKE_SOURCE_DIR}/include -R ${CMAKE_BINARY_DIR}/src
     DEPENDS ReplicatePythonSourceTree u1db
 )
 add_custom_target(check-valgrind
@@ -83,7 +79,7 @@
 )
 
 add_custom_target(html-docs
-    COMMAND cd ${CMAKE_SOURCE_DIR}/html-docs; make html
+    COMMAND cd ${CMAKE_SOURCE_DIR}/html-docs \; make html
 )
 
 SET(CPACK_GENERATOR "TGZ")
@@ -92,7 +88,7 @@
 
 add_custom_target(install-python ALL
     # Do NOT build this one in-place
-    COMMAND python setup.py build_ext -f -I ${CMAKE_SOURCE_DIR}/include
+    COMMAND python setup.py build_ext -f -I ${CMAKE_SOURCE_DIR}/include -R ${CMAKE_BINARY_DIR}/src
     COMMAND python setup.py install --prefix=${CMAKE_INSTALL_PREFIX} --root=${CMAKE_CURRENT_BINARY_DIR}/temp
     DEPENDS ReplicatePythonSourceTree u1db
 )

=== html-docs/Makefile ===
--- 
+++ 
@@ -36,7 +36,10 @@
 clean:
 	-rm -rf $(BUILDDIR)/*
 
-html: doctest
+cdocs: 
+	doxygen doxygen.conf
+
+html: doctest cdocs
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

=== debian/changelog ===
u1db (13.09-0ubuntu1) saucy; urgency=low

  * New upstream release.
    - Remove upstreamed patches.
  * debian/control, debian/tests:
    - Add autopkgtest config.
  * debian/rules:
    - Add DEB_HOST_MULTIARCH definition check to avoid failing in adt-run.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 20 Sep 2013 15:01:32 -0400

u1db (13.08-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/patches/00_bzr-python-rpath.patch:
    - Add patch from bzr to add rpath to cython module for tests.
  * debian/rules:
    - Do not need to set LD_LIBRARY_PATH when rpath is used.
  * debian/libu1db1.symbosl:
    - Update for new symbol addition from 13.05 build.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 07 Aug 2013 11:01:55 -0400

u1db (13.05-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/control:
    - Update standards version to 3.9.4.
  * debian/rules:
    - Update test rule to use correct rule for tests.
  * debian/watch:
    - Update watch file for new series.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 05 Jun 2013 13:09:08 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
  ca-certificates,
  cmake,
  cython,
- debhelper (>= 9),
+ debhelper (>= 7.0.50),
  libcurl4-nss-dev | libcurl4-gnutls-dev | libcurl4-openssl-dev,
  libjson0-dev,
  liboauth-dev,
@@ -21,9 +21,11 @@
  python-simplejson,
  python-testscenarios,
  python-testtools
-Maintainer: Micah Anderson <micah@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ubuntu One Developers <ubuntuone-users@lists.launchpad.net>
 Standards-Version: 3.9.4
 X-Python-Version: >= 2.6
+XS-Testsuite: autopkgtest
 
 Package: python-u1db
 Section: python

=== debian/tests/control ===
Tests: run-tests
Restrictions: rw-build-tree build-needed allow-stderr
Depends: @,
 cmake,
 cython,
 libcurl4-nss-dev | libcurl4-gnutls-dev | libcurl4-openssl-dev,
 libjson0-dev,
 liboauth-dev,
 libsqlite3-dev,
 python-all (>= 2.6.6-3),
 python-all-dev (>= 2.6),
 python-dirspec,
 python-oauth,
 python-openssl,
 python-paste,
 python-routes,
 python-setuptools,
 python-simplejson,
 python-testscenarios,
 python-testtools

## u1db 13.10

=== src/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (u1db)

# Some default CFLAGS
SET (CMAKE_C_FLAGS "-O2 -g -Wall -Werror")

# Allow specifying the libdir to use for the C library
SET (LIB_SUFFIX "" CACHE STRING "Define suffix of library directory name.")
SET (LIB_INSTALL_DIR "lib${LIB_SUFFIX}")

# Allow the developer to select if Dynamic or Static libraries are built
OPTION (BUILD_SHARED_LIBS "Build Shared Libraries" OFF)

#Set the LIB_TYPE variable to STATIC
SET (LIB_TYPE STATIC)
IF (BUILD_SHARED_LIBS)
  # User wants to build Dynamic Libraries, so change the LIB_TYPE variable to CMake keyword 'SHARED'
  SET (LIB_TYPE SHARED)
ENDIF (BUILD_SHARED_LIBS)

add_custom_command (
  OUTPUT ${CMAKE_SOURCE_DIR}/src/u1db_schema.c
  COMMAND python ${CMAKE_SOURCE_DIR}/sql_to_c.py ${CMAKE_SOURCE_DIR}/u1db/backends/dbschema.sql u1db__schema ${CMAKE_SOURCE_DIR}/src/u1db_schema.c
  DEPENDS ${CMAKE_SOURCE_DIR}/u1db/backends/dbschema.sql ${CMAKE_SOURCE_DIR}/sql_to_c.py
  )
add_library (u1db ${LIB_TYPE} mkstemp_compat.c u1db.c u1db_http_sync_target.c u1db_query.c  u1db_sync_target.c  u1db_uuid.c  u1db_vectorclock.c u1db_schema.c)

SET_TARGET_PROPERTIES(u1db
    PROPERTIES SOVERSION 1
    COMPILE_FLAGS -fPIC
)

INSTALL (
    TARGETS u1db
    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
    LIBRARY DESTINATION ${LIB_INSTALL_DIR}
)

install(DIRECTORY ${CMAKE_SOURCE_DIR}/include/u1db DESTINATION include
    FILES_MATCHING PATTERN "u1db.h"
)

=== u1db/tests/testing-certs/Makefile ===
CATOP=./demoCA
ORIG_CONF=/usr/lib/ssl/openssl.cnf
ELEVEN_YEARS=-days 4015

init:
	cp $(ORIG_CONF) ca.conf
	install -d $(CATOP)
	install -d $(CATOP)/certs
	install -d $(CATOP)/crl
	install -d $(CATOP)/newcerts
	install -d $(CATOP)/private
	touch $(CATOP)/index.txt
	echo 01>$(CATOP)/crlnumber
	@echo '**** Making CA certificate ...'
	openssl req -nodes -new \
	 	-newkey rsa -keyout $(CATOP)/private/cakey.pem \
		-out $(CATOP)/careq.pem \
		-multivalue-rdn \
        -subj "/C=UK/ST=-/O=u1db LOCAL TESTING ONLY, DO NO TRUST/CN=u1db testing CA"
	openssl ca -config ./ca.conf -create_serial \
		-out $(CATOP)/cacert.pem $(ELEVEN_YEARS) -batch \
		-keyfile $(CATOP)/private/cakey.pem -selfsign \
		-extensions v3_ca -infiles $(CATOP)/careq.pem

pems:
	cp ./demoCA/cacert.pem .
	openssl req -new -config ca.conf \
		-multivalue-rdn \
	-subj "/O=u1db LOCAL TESTING ONLY, DO NOT TRUST/CN=localhost" \
		-nodes -keyout testing.key -out newreq.pem $(ELEVEN_YEARS)
	openssl ca -batch -config ./ca.conf $(ELEVEN_YEARS) \
		-policy policy_anything \
		-out testing.cert -infiles newreq.pem

.PHONY: init pems

=== debian/changelog ===
u1db (13.10-6) unstable; urgency=medium

  * Transition to dh_python2 (Closes: #786220)
  * Remove duplicated / inherited Section in debian/control binary package
  * Remove unnecessary explicit multiarch-support from Pre-Depends
  * Fix copyright entry colon
  * Update standards version (no changes)

 -- Micah Anderson <micah@debian.org>  Thu, 21 May 2015 17:07:15 -0400

u1db (13.10-5) unstable; urgency=high

  * Fix incorrect poodle fix from previous version (Closes: #768702)

 -- Micah Anderson <micah@debian.org>  Mon, 24 Nov 2014 15:20:32 -0500

u1db (13.10-4) unstable; urgency=medium

  * Replace SSLv3 with TLSv1 (Closes: #768702)
  * Fix missing Build-deps on linked libraries (Closes: #769755)
  * Add missing dh-python to Build-Depends

 -- Micah Anderson <micah@debian.org>  Sun, 16 Nov 2014 13:04:31 -0500

u1db (13.10-3) unstable; urgency=medium

  * Additional changes to work with json-c (Closes: #753138)

 -- Micah Anderson <micah@debian.org>  Mon, 30 Jun 2014 00:07:26 -0400

u1db (13.10-2) unstable; urgency=medium

  * Add dependency on pkg-config (Closes: #752966)

 -- Micah Anderson <micah@debian.org>  Sat, 28 Jun 2014 00:20:29 -0400

u1db (13.10-1) unstable; urgency=medium

  * Update standards version (no changes)
  * Replace libjson0-dev with libjson-c-dev (Closes: #745015)
  * Update to new upstream version 13.10
    - Remove upstreamed patches
  * debian/libu1db1.symbosl:
    - Update for new symbol addition from 13.05 build.
  * debian/control, debian/tests:
    - Add autopkgtest config.
  * debian/rules:
    - Do not need to set LD_LIBRARY_PATH when rpath is used.
  * Update debian/watch file for new series
  * Add debian/patches/json_object_object_get to fix deprecation 
  * Add debian/patches/CVE-2013-2099 (Closes: #709486)

 -- Micah Anderson <micah@debian.org>  Fri, 20 Jun 2014 09:48:57 -0400

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: libs
 Priority: extra
 Build-Depends:
+ dh-python,
  ca-certificates,
  cmake,
  cython,
- debhelper (>= 7.0.50),
+ debhelper (>= 9),
  libcurl4-nss-dev | libcurl4-gnutls-dev | libcurl4-openssl-dev,
- libjson0-dev,
+ libjson-c-dev,
  liboauth-dev,
  libsqlite3-dev,
- python-all (>= 2.6.6-3) | python-support (>= 0.6.4),
- python-all-dev (>= 2.6),
+ python-all (>= 2.6.6-3~), 
+ python-all-dev (>= 2.6.6-3~),
  python-dirspec,
  python-oauth,
  python-openssl,
@@ -20,10 +21,10 @@
  python-setuptools,
  python-simplejson,
  python-testscenarios,
- python-testtools
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ubuntu One Developers <ubuntuone-users@lists.launchpad.net>
-Standards-Version: 3.9.4
+ python-testtools,
+ pkg-config
+Maintainer: Micah Anderson <micah@debian.org>
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 XS-Testsuite: autopkgtest
 
@@ -45,10 +46,9 @@
  This package includes the Python implementation of the API.
 
 Package: libu1db1
-Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}, multiarch-support
+Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends},
  ${shlibs:Depends}
 Description: Ubuntu One structured data storage - C API

=== debian/watch ===
version=3
http://launchpad.net/u1db/stable-13-10 .*/u1db-([0-9.]+)\.tar\..*
